package cn.iocoder.yudao.module.order.dal.dataobject.orderPickup;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 提货 DO
 *
 * @author 系统管理员
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_order_pickup")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class OrderPickupDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId
    private Long id;
    /**
     * 订单编号
     */
    private String orderId;
    /**
     * 提货方式
     *
     * 枚举 {@link TODO pick_type 对应的类}
     */
    private Long pickType;
    /**
     * 提货时间
     */
    private Date pickTime;
    /**
     * 快递单号
     */
    private String trackingNumber;
    /**
     * 送货时间
     */
    private Date deliverTime;
    /**
     * 附件
     */
    private String attachment;
    /**
     * 备注
     */
    private String remark;
    /**
     * 提货数量
     */
    private Integer pickNum;
    /**
     * 送货地址
     */
    private String deliverAddress;
    /**
     * 提货前订单主状态
     */
    private Integer orderStatus;

}
