package cn.iocoder.yudao.module.order.vo.orderException;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@ApiModel("管理后台 - 订单所有费用明细")
@Data
public class OrderFeeDetailBackVO {


    @ApiModelProperty(value = "总金额 map 形式  key 币种  value 金额")
    private Map<Long, BigDecimal> totalAmountList = new HashMap<Long, BigDecimal>();

    @ApiModelProperty(value = "预付总金额 map 形式  key 币种  value 金额")
    private Map<Long, BigDecimal> totalPaymentAmount = new HashMap<Long, BigDecimal>();

    @ApiModelProperty(value = "已核销金额 map 形式  key 币种  value 金额")
    private Map<Long, BigDecimal> writeOffAmount = new HashMap<Long, BigDecimal>();

    @ApiModelProperty(value = "已核销金额比例")
    private String writeOffAmountScale;

    @ApiModelProperty(value = "预付商品货值")
    private String paymentGoodsWorth;

    @ApiModelProperty(value = "预付商品货值比例")
    private String paymentGoodsWorthScale;

    @ApiModelProperty(value = "总体积")
    private String totalVolume;

    @ApiModelProperty(value = "预付商品方数")
    private String paymentGoodsVolume;

    @ApiModelProperty(value = "预付商品方数体积占比")
    private String paymentGoodsVolumeScale;

    @ApiModelProperty(value = "预付商品货值占订单总运费+清关费比例--预付商品总货值/(预付商品总运费+预付商品总清关费)")
    private String needWorthScale;

    @ApiModelProperty(value = "处理结果  参考数据字典：order_pay_exception_result  里面的KEY")
    private List<String> result;

    @ApiModelProperty(value = "订单ID")
    private Long orderId;

    @ApiModelProperty(value = "备注")
    private String notes;
}
